View Issue Details

IDProjectCategoryView StatusLast Update
0002507SymmetricDS ProImprovementpublic2016-08-16 15:36
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.1Fixed in Version3.8.1 
Summary0002507: Use license key from parameters and remove java prefs
DescriptionThe license key is currently installed into Java prefs (which is the file system on Unix and registry on Windows) and then synced to the sym_parameter table in the database. There are reports of problems installing new license keys and getting remote nodes to accept the new key. There are scenarios where the Java prefs is not in sync with the database. Let's remove the storage to Java prefs and use only the database, which puts the key in the configuration. The user will enter the key after logging in, if needed.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-02-25 08:35 elong New Issue
2016-02-25 08:35 elong Status new => assigned
2016-02-25 08:35 elong Assigned To => elong
2016-04-05 16:41 elong Status assigned => resolved
2016-04-05 16:41 elong Fixed in Version => 3.8.0
2016-04-05 16:41 elong Resolution open => fixed
2016-08-10 11:04 chenson Fixed in Version 3.8.0 => 3.8.1
2016-08-12 11:01 elong Target Version 3.8.0 => 3.8.1
2016-08-16 15:36 admin Status resolved => closed